# Class GenerateWorkspaceSettingsFileTask

java.lang.Object
org.gradle.api.internal.AbstractTask
org.gradle.api.DefaultTask
org.gradle.api.internal.ConventionTask
org.gradle.plugins.ide.api.GeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>
org.gradle.plugins.ide.api.PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>
org.gradle.ide.xcode.tasks.GenerateWorkspaceSettingsFileTask

All Implemented Interfaces:
  `Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Named, ExtensionAware, Task, Configurable<Task>`

@Incubating @DisableCachingByDefault(because="Not made cacheable, yet") public abstract class GenerateWorkspaceSettingsFileTask extends PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>
Task for generating a Xcode workspace settings file (e.g. `Foo.xcodeproj/project.xcworkspace/xcshareddata/WorkspaceSettings.xcsettings`).

This task is used in conjunction with `GenerateXcodeWorkspaceFileTask`.

Since:
  4.2
See Also:
  - `XcodeWorkspace`

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Field Summary

  ### Fields inherited from class GeneratorTask

  `afterConfigured, beforeConfigured, domainObject, generator`

  ### Fields inherited from interface Task

  `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GenerateWorkspaceSettingsFileTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `configure(org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile settingsFile)`
  `protected org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile`
  `create()`

  ### Methods inherited from class PropertyListGeneratorTask

  `getPropertyListTransformer`

  ### Methods inherited from class GeneratorTask

  `generate, getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

  ### Methods inherited from class org.gradle.api.internal.ConventionTask

  `conventionMapping, conventionMapping, getConventionMapping`

  ### Methods inherited from class DefaultTask

  `compareTo, configure, dependsOn, doFirst, doFirst, doFirst, doLast, doLast, doLast, finalizedBy, getActions, getAnt, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExtensions, getFinalizedBy, getGroup, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOutputs, getPath, getProject, getShouldRunAfter, getState, getTaskDependencies, getTemporaryDir, getTimeout, hasProperty, mustRunAfter, onlyIf, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setFinalizedBy, setGroup, setMustRunAfter, setOnlyIf, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, usesService`

  ### Methods inherited from class org.gradle.api.internal.AbstractTask

  `acceptServiceReferences, appendParallelSafeAction, doNotTrackState, doNotTrackStateIf, getAsDynamicObject, getIdentityPath, getImpliesSubProjects, getLifecycleDependencies, getOnlyIf, getReasonNotToTrackState, getReasonsNotToTrackState, getReasonTaskIsIncompatibleWithConfigurationCache, getRequiredServices, getServices, getSharedResources, getStandardOutputCapture, getTaskActions, getTaskIdentity, getTemporaryDirFactory, hasTaskActions, injectIntoNewInstance, isCompatibleWithConfigurationCache, isEnabled, isHasCustomActions, notCompatibleWithConfigurationCache, prependParallelSafeAction, restoreOnlyIf, restoreTaskActions, setImpliesSubProjects`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface Task

  `doNotTrackState, notCompatibleWithConfigurationCache`

- ## Constructor Details

  - ### GenerateWorkspaceSettingsFileTask

    public GenerateWorkspaceSettingsFileTask()

- ## Method Details

  - ### configure

    protected void configure(org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile settingsFile)
    Specified by:
      `configure` in class `PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>`

  - ### create

    protected org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile create()
    Specified by:
      `create` in class `PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeWorkspaceSettingsFile>`